package com.perforce.jdev.res;

import javax.swing.Icon;
import javax.swing.ImageIcon;

/**
 * Interface to Icon resources.  All icons are 16x16 images.
 *
 * @author Paul Krause
 * @version $Date: 2002/10/08 $ $Version$
 */
public interface Icons {

   /** A blue box with a green plus uppermost-right */
   final Icon ADD =
      new ImageIcon (Icons.class.getResource("add.gif"));

   /**
    * A red outline with two blue diamonds connected by a vertical line.
    * A red line branches down and to the right ending in a red diamond.
    */
   final Icon BRANCH =
      new ImageIcon (Icons.class.getResource("branch.gif"));

   /**
    * A blue box with a handle on top right and a blue arrow
    * exiting top left.
    */
   final Icon CHECKOUT =
      new ImageIcon (Icons.class.getResource("checkout.gif"));

   /** A manilla lozenge. */
   final Icon DEPOT = new ImageIcon(Icons.class.getResource("depot.gif"));

   /** A stack of 3 baby blue dots, the lower two connected by a barbed curve. */
   final Icon DIFF = new ImageIcon(Icons.class.getResource("compareprevious.gif"));

   /** A vertical rectangle with horizontal lines and upper-right dog-ear. */
   final Icon FILE =
      new ImageIcon (Icons.class.getResource("file.gif"));

   /** A blux box with a handle on top and right facing arrow entering.*/
   final Icon IMPORT =
      new ImageIcon (Icons.class.getResource("import.gif"));

   /** A red triangle. */
   final Icon PENDING_CHANGE =
      new ImageIcon (Icons.class.getResource("client_cl.gif"));

   /** Two overlapping red triangles. */
   final Icon PENDING_CHANGES =
      new ImageIcon (Icons.class.getResource("client_cls.gif"));

   /** A blue bar with left curving arrow above. */
   final Icon REVERT =
      new ImageIcon (Icons.class.getResource("revert.gif"));

   /** A gray triangle. */
   final Icon SUBMITTED_CHANGE =
      new ImageIcon (Icons.class.getResource("submitted_cl.gif"));

   /** A blue box with a file overlaid offset to lower left. */
   final Icon STATUS =
      new ImageIcon (Icons.class.getResource("status.gif"));

   /** A square with black wrench and white triangle. */
   final Icon WORKAREA =
      new ImageIcon (Icons.class.getResource("workarea.gif"));

   /** A folder overlaid lower-right by a small workarea square. */
   final Icon WORKAREAS =
      new ImageIcon (Icons.class.getResource("workareas.gif"));

}
